/* vMac 0.1 Source
   By Philip Cummins (PC)
   Copyright PC 1997 */

/* PC - Interrupt Functions */

#include "sysconfig.h"
#include "sysdeps.h"
#include "config.h"
#include "custom.h"
#include "VIA.h"
#include "VIA_Interrupts.h"
#include "VIA_Interface.h"
#include "RTC.h"
#include "Sony.h"
#include "SCSI.h"

#include "Win32/Win32port.h"

extern int VIA_Counter;
extern BYTE Seconds;
//extern UBYTE CheckSCSI;

int Interrupt_Init (void)
{
  Seconds=VIA_Counter=0;
  return 0;
}

void Interrupt_Reset (void)
{
  (void) Interrupt_Init();
}

/* Moved to newcpu.c for better speed
void Interrupt_Timing (void)
{
  // Clock = 7833600 Hz (7.8336 mHz)
  // At best, we can get 3916800 instructions per second
  // Normally, it's probably a lot lower than that, say
  // 783360 instructions/sec if there's 10 cycles per instr.

  if (CheckSCSI)
  {
    SCSI_Check();
    CheckSCSI=0;
  }

  if (Int60)
  {
    Int60=0;

    if (++VIA_Counter>=4)
    {
      VIA_Counter=0;
      VIA_Timer();
    }

    VIA_Int(Vertical_Blanking);

    if (Int1)
    {
      Int1=0;

      Sony_Update();
      RTC_Interrupt();
      VIA_Int(One_Second);

      if(++Seconds>=15)
       {Set_RTC_Time();
        Seconds=0;}
    }
  }

  return;
}
*/